using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 课件附件
    /// </summary>
    [Description("课件附件")]
    public class T_SE_COURSEWEARLIBRARY_FILE : MesEntityBase
    {
        /// <summary>
        /// 课件
        /// </summary>
        [Description("课件")]
        [DataFieldForeignKey("Nav_Cour", "Nav_Files")]
        public Guid COURSEWEARLIBRARY_ID { get; set; }
        /// <summary>
        /// 课件
        /// </summary>
        [Description("课件")]
        public T_SE_COURSEWEARLIBRARY  Nav_Cour { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
